Upstream information

CVE-2008-4360 at MITRE

Description

mod_userdir in lighttpd before 1.4.20, when a case-insensitive operating system or filesystem is used, performs case-sensitive comparisons on filename components in configuration options, which might allow remote attackers to bypass intended access restrictions, as demonstrated by a request for a .PHP file when there is a configuration rule for .php files.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.8
Vector AV:N/AC:L/Au:N/C:C/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Complete
Integrity Impact None
Availability Impact None
SUSE Bugzilla entry: 429764 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE 11.0
  • lighttpd-debuginfo >= 1.4.19-6.4
  • lighttpd-debugsource >= 1.4.19-6.4
openSUSE 11.0
  • lighttpd >= 1.4.19-6.4
  • lighttpd-mod_cml >= 1.4.19-6.4
  • lighttpd-mod_magnet >= 1.4.19-6.4
  • lighttpd-mod_mysql_vhost >= 1.4.19-6.4
  • lighttpd-mod_rrdtool >= 1.4.19-6.4
  • lighttpd-mod_trigger_b4_dl >= 1.4.19-6.4
  • lighttpd-mod_webdav >= 1.4.19-6.4
openSUSE 11.1
  • lighttpd-debuginfo >= 1.4.20-2.4.1
  • lighttpd-debugsource >= 1.4.20-2.4.1
openSUSE 11.1
  • lighttpd >= 1.4.20-2.4.1
  • lighttpd-mod_cml >= 1.4.20-2.4.1
  • lighttpd-mod_magnet >= 1.4.20-2.4.1
  • lighttpd-mod_mysql_vhost >= 1.4.20-2.4.1
  • lighttpd-mod_rrdtool >= 1.4.20-2.4.1
  • lighttpd-mod_trigger_b4_dl >= 1.4.20-2.4.1
  • lighttpd-mod_webdav >= 1.4.20-2.4.1
SUSE Linux Enterprise SDK 11 GA
  • lighttpd >= 1.4.20-2.29.1
  • lighttpd-mod_cml >= 1.4.20-2.29.1
  • lighttpd-mod_magnet >= 1.4.20-2.29.1
  • lighttpd-mod_mysql_vhost >= 1.4.20-2.29.1
  • lighttpd-mod_rrdtool >= 1.4.20-2.29.1
  • lighttpd-mod_trigger_b4_dl >= 1.4.20-2.29.1
  • lighttpd-mod_webdav >= 1.4.20-2.29.1
sle11-debuginfo.s390x
sle11-sdk.s390x
sle11-debuginfo.x86
sle11-debuginfo.x86-64
sle11-debuginfo.ia64
sle11-sdk.ia64
sle11-sdk.ppc
sle11-debuginfo.ppc
sle11-sdk.x86-64
sle11-sdk.x86
SAT Patch Nr: 1587
openSUSE 11.0
  • lighttpd-debuginfo >= 1.4.19-6.2
  • lighttpd-debugsource >= 1.4.19-6.2
openSUSE 11.0
  • lighttpd >= 1.4.19-6.2
  • lighttpd-mod_cml >= 1.4.19-6.2
  • lighttpd-mod_magnet >= 1.4.19-6.2
  • lighttpd-mod_mysql_vhost >= 1.4.19-6.2
  • lighttpd-mod_rrdtool >= 1.4.19-6.2
  • lighttpd-mod_trigger_b4_dl >= 1.4.19-6.2
  • lighttpd-mod_webdav >= 1.4.19-6.2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise High Availability Extension 11 GA lighttpd Released
SUSE Linux Enterprise High Availability Extension 11 SP1 lighttpd Released
SUSE Linux Enterprise High Availability Extension 11 SP2 lighttpd Released
SUSE Linux Enterprise High Availability Extension 11 SP3 lighttpd Released
SUSE Linux Enterprise High Availability Extension 11 SP4 lighttpd Released
SUSE Linux Enterprise SDK 11 GA lighttpd Released
SUSE Linux Enterprise SDK 11 SP1 lighttpd Released
SUSE Linux Enterprise SDK 11 SP2 lighttpd Released
SUSE Linux Enterprise SDK 11 SP3 lighttpd Released
SUSE Linux Enterprise SDK 11 SP4 lighttpd Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 lighttpd Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 lighttpd Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 lighttpd Released
SUSE Linux Enterprise Server for SAP Applications 11 SP4 lighttpd Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 lighttpd Released